Subject: How to find a CR-LSP Label from a Label release Message with no optional parameters?

From: "gopinathg" <[email-masked]>
Date: Mon, 2 Apr 2001 23:38:58 +0530

Hi

As per the section 3.5 of  draft-ietf-mpls-cr-ldp-05.txt  says

" The Label Release , Label Withdraw, and Label Abort Request Messages
   are used as specified in [1]. These messages may also carry the
   LSPID TLV "     ( And it also refers to [1]  ie RFC 3036)

As from the above words  " These messages may also carry the LSPID TLV " we can
assume that LSPID TLV is not mandatory ( and hence optional).

As per the section 3.5.11 of  RFC 3036 Label TLV is optional .

Now suppose if we have a label release message with  no Label TLV, no LSPID
TLV(as we can assume both are optional from the above ) and  FEC TLV  with
CR-LSP FEC Element.
Now how will an LSR  find the CR-LSP Label with the above information. ?

Thanks In Advance

gopinathg

---

From: Jack Brennen <[email-masked]>
Date: Mon, 02 Apr 2001 14:30:13 -0500

My opinion, for what it's worth:

To quote RFC 3036:   "If no Label TLV follows the FEC, all labels
   associated with the FEC are to be released..."

If a Label Release message is received with a FEC consisting of
a single CR-LSP FEC Element, and no Label TLV is present, it seems
that it would be appropriate to release all Labels associated
with such a FEC.  That would generally mean releasing all CR-LSPs
on the associated label space.

Any dissenters?

   Jack Brennen

---

From: "gopinathg" <[email-masked]>
Date: Tue, 3 Apr 2001 00:45:18 +0530

Hi Jack

Your opinion is correct in case of LDP but, If LSP's are established using
CR-LDP
then  all CR-LSP Labels  will have same FEC  TLV ie FEC TLV with CR-LSP
Element.

If it is the case then there will be no CR- LDP  LSP's  after receiving Label
Release.

Thanks
gopinathg

----- Original Message -----
From: Jack Brennen <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, April 03, 2001 1:00 AM
Subject: Re: How to find a CR-LSP Label from a Label release Message with no
optional parameters?

---

From: Eric Gray <[email-masked]>
Date: Mon, 02 Apr 2001 15:15:03 -0400

Gopinath,

    The set of options you describe below is possible and
should be allowed, but it is unlikely that an implementation
will use that set (at least very often).

    The FEC TLV is manadatory in a Label Release and a
Label may be omitted if you effectively would like to release
all labels associated with that FEC.  In the event that a
CR-LDP implementation wanted - for some reason - to
release ALL labels associated with the CR-LSP FEC, then
it would omit the label TLV.

    I can think of one - semi-reasonable - reason for doing
this: an implementation may determine (based on internal
information or configuration) that it needs to drop back from
supporting CR-LDP to just support LDP.  By omitting the
set of optional TLVs you mention, it might be able to do this
fairly quickly and still avoid having to drop the LDP session
(thus invalidating hop-by-hop labels as well).  How likely
this is to be useful in practice is another question.

    In every case where it was not the intention to drop all
LSPs associated with the CR-LSP FEC, an implementation
would need to include the Label TLV in order to scope the
effects of the Label Release message.

--
Eric Gray

---

From: Eric Gray <[email-masked]>
Date: Mon, 02 Apr 2001 15:22:48 -0400

Gopinath,

    A point of confusion about what it means for something
to be 'optional'.  The fact that something is optional does
not guarantee that you will like the results of not including
it.

--
Eric Gray

---

From: Jack Brennen <[email-masked]>
Date: Mon, 02 Apr 2001 15:24:13 -0500

Yes, that's my interpretation also (that there will be no CR-LDP
LSP's after receiving the Label Release message).

I think one way of describing this is that the Label TLV is
_syntactically_ optional, but _semantically_ mandatory (unless you
really want to release all CR-LSP labels).

   Jack

---

From: "Junaid Ahmed Zubairi" <[email-masked]>
Date: Mon, 2 Apr 2001 17:23:25 -0400

For reading such messages, we need
an acronym filter in our email clients.
Such a filter would detect and expand
acronyms to their full forms ;-)

----- Original Message -----
From: gopinathg <[email-masked]>
To: Jack Brennen <[email-masked]>; <[email-masked]>
Sent: Monday, April 02, 2001 3:15 PM
Subject: Re: How to find a CR-LSP Label from a Label release Message with no
optional parameters?

> > > As from the above words  " These messages may also carry the LSPID TLV
" we
> can